package common.block.natural;

import common.rng.Random;
import common.util.BlockPos;
import common.world.World;

public class BlockSoulFire extends BlockTintedFire {
	public BlockSoulFire() {
		super(0x4010ff);
	}

	protected void catchOnFire(World world, BlockPos pos, int chance, Random rand, int age) {
	}

	protected boolean canDie(World world, BlockPos pos) {
		return super.canDie(world, pos) || world.rand.chance(20);
	}
}
